// Netscape/JavaScript automatic proxy configuration for schoolbus.nl
//
//       the software is GNU licensing dependent.
// Copyright (C) 2000, schoolLAN (tm), Stichting NLnet
//
// This program is free software; you van redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTLY; without even the implied warranty of
// MERCHANTABILITY of FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
// $Id: proxy.pac,v 4.5 2004/03/04 15:44:20 bram Exp $
//
function FindProxyForURL(url, host)
{
	// If they have only specified a hostname, go directly.
	if (isPlainHostName(host))
		return "DIRECT";

	// Connect directly if it is localhost.
	// If you have another machine that you want them to access
	// directly, replace "internal*" with that machine's name.
	if (shExpMatch(host, "localhost*") ||
	    shExpMatch(host, "127.0.0.*") ||
	    shExpMatch(host, "internal*"))
		return "DIRECT";

	// Connect directly to our other internal domains.
	if (dnsDomainIs(host, "schoolbus.nl"))
		return "DIRECT";

	// So the error message "no such host" will appear through the
	// normal Netscape box - less support queries :-).
	//if (!isResolvable(host))
	//	return "DIRECT";

	// We only cache http, ftp and gopher.
	if (url.substring(0, 5) == "http:" ||
	    url.substring(0, 6) == "https:"||
	    url.substring(0, 4) == "ftp:"||
	    url.substring(0, 7) == "gopher:")
		return "PROXY www:3128; DIRECT";

	// We don't cache WAIS.
	if (url.substring(0, 5) == "wais:")
		return "DIRECT";

	else
		return "DIRECT";
}
